
\section{Introduction}

This manual is intended to developers who want to extend the Somewhere 2.0 application. Prior knowledge of the user manual is required.

\subsection{Contacting the authors}
The main developers for Somewhere 2.0 was Andre Fonseca and Phillipe Chatalic. They can be contacted though these email addresses :
\begin{itemize}
 \item \url{andre.amorimfonseca@gmail.com}
 \item \url{philippe.chatalic@lri.fr} 
\end{itemize}

\subsection{Plan}
General information about the project and how to start using it, is presented in section \ref{sec:gettingstarted}. \\
The overall architecture of the project is presented in section \ref{sec:architecture}. \\
Through the sections \ref{sec:base} to \ref{sec:distributedReasoning}, we describe each module (sub-project) of the project. \\
There is, in section \ref{sec:experimental}, a brief summary of some ideas/code that are still experimental.

